	.text
	.globl	main
	.type	main, @function
main:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x0, %rsp
	jmp	hijklmn
abcdefg:
	mov	$.LC0, %rax
	mov	%rax, %rdi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
hijklmn:
	mov	$.LC1, %rax
	mov	%rax, %rdi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret

	.data
.LC1:	.string	"hijklmn\n"
.LC0:	.string	"abcdefg\n"
